Bug 1124370 - Missing error message for CANNOT_FORCE_SELECT_SPM_STORAGE_POOL_HAS_RUNNING_TASKS
Summary: Missing error message for CANNOT_FORCE_SELECT_SPM_STORAGE_POOL_HAS_RUNNING_TASKS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 11:17 UTC by Moti Asayag
Modified: 2016-02-10 19:44 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:20:52 UTC
oVirt Team: Storage


Attachments (Terms of Use)
missing error (180.98 KB, image/png)
2014-07-29 11:17 UTC, Moti Asayag
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 1121388 None None None Never

Description Moti Asayag 2014-07-29 11:17:23 UTC
Created attachment 922108 [details]
missing error

Description of problem:
CANNOT_FORCE_SELECT_SPM_STORAGE_POOL_HAS_RUNNING_TASKS has no translation for the webadmin

Version-Release number of selected component (if applicable):
Commit ac985911a69317a6a974f3a0b754b5cddf177bad

How reproducible:
always

Steps to Reproduce:
1. Try so select a host as SPM while there are running tasks (i.e. during template creation)

Actual results:
See screenshot attached

Expected results:
A proper message should be displayed

Additional info:

Comment 1 Allon Mureinik 2014-08-27 17:15:13 UTC
The fix for bug 1121388 covers this one too - moving to ON_QA for verification.

Comment 2 Ori Gofen 2014-09-02 15:58:11 UTC
verified on rc1.1
pop up window opens,explaining:
"Error while executing action: Cannot force select SPM. The Storage Pool has running tasks."

Comment 3 Sandro Bonazzola 2014-10-17 12:20:52 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.